;;; keybindings.el --- conlanging layer packages file for Spacemacs.
;;
;; Copyright (c) 2018-2020 Lucien Cartier-Tilet
;;
;; Author: Lucien Cartier-Tilet <lucien@phundrak.com>
;; URL: https://labs.phundrak.com/phundrak/conlang-layer
;;
;; This file is not part of GNU Emacs.
;;
;;; License: GPLv3

(spacemacs/declare-prefix "ol" "conlanging")
(spacemacs/declare-prefix "olh" "Hjelp")
(spacemacs/declare-prefix "olho" "hjelp.org")
(spacemacs/declare-prefix "olm" "Mattér")
(spacemacs/declare-prefix "olmo" "matter.org")
(spacemacs/declare-prefix "ole" "Eittlandic")
(spacemacs/declare-prefix "oleo" "eittland.org")
(spacemacs/declare-prefix "oln" "Proto-Ñyqy")
(spacemacs/declare-prefix "olno" "proto-nyqy.org")
(spacemacs/declare-prefix "olne" "nyqy.org (English)")
(spacemacs/declare-prefix "olo" "Conlang root directory")
(spacemacs/declare-prefix "olo" "Conlang directory")
(spacemacs/declare-prefix "olt" "Proto-Tãso")
(spacemacs/declare-prefix "olto" "proto-taso.org")
(spacemacs/declare-prefix-for-mode 'org-mode
  "ml" "conlanging")
(spacemacs/declare-prefix-for-mode 'org-mode
  "mle" "Eittlanda")
(spacemacs/declare-prefix-for-mode 'org-mode
  "mlm" "Mattér")

(spacemacs/set-leader-keys
  "oleo" (lambda ()
           (interactive)
           (find-file "~/Documents/conlanging/content/eittland.org"))
  "olho" (lambda ()
           (interactive)
           (find-file "~/Documents/conlanging/content/hjelp.org"))
  "olmo" (lambda ()
           (interactive)
           (find-file "~/Documents/conlanging/content/matter.org"))
  "olno" (lambda ()
           (interactive)
           (find-file "~/Documents/conlanging/content/proto-nyqy.org"))
  "olne" (lambda ()
           (interactive)
           (find-file "~/Documents/conlanging/content/en/nyqy.org"))
  "olO" (lambda ()
          (interactive)
          (dired "~/Documents/conlanging/"))
  "olo" (lambda ()
          (interactive)
          (dired "~/Documents/conlanging/content"))
  "olto" (lambda ()
           (interactive)
           (find-file "~/Documents/conlanging/content/proto-taso.org")))

(spacemacs/set-leader-keys-for-major-mode 'org-mode
  "ler" 'conlanging/eittlanda-to-runes
  "lel" 'conlanging/eittlanda-to-latex
  "lmr" 'conlanging/matter-to-runes
  "lml" 'conlanging/matter-to-native-latin
  "lmL" 'conlanging/matter-to-latex)

;;; keybindings.el ends here
